> For the complete documentation index, see [llms.txt](https://docs.sov.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sov.ai/api-reference/utils/stream.md).

# Stream

API reference for sovai.utils.stream

**Module:** `sovai.utils.stream`

## Functions

### `stream_data()`

```python
def stream_data(res: Response) -> pd.DataFrame
```

Get streaming data from server and convert to pd.DataFrame. Ensure 'ticker' column (if it exists) is at the front of the DataFrame.

**Parameters**

| Parameter | Type       | Description                    |
| --------- | ---------- | ------------------------------ |
| `res`     | `Response` | Response object from requests. |

**Returns**

pd.DataFrame: DataFrame with 'ticker' column at the front if it exists.

***

### `stream_data_pyarrow()`

```python
def stream_data_pyarrow(response: Response) -> pd.DataFrame
```

Read a Response object containing a serialized Arrow table and convert it to a Pandas DataFrame.

**Parameters**

| Parameter  | Type       | Description                                                                 |
| ---------- | ---------- | --------------------------------------------------------------------------- |
| `response` | `Response` | The response object from an HTTP request containing serialized Arrow table. |

**Returns**

pd.DataFrame: DataFrame representation of the Arrow table.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sov.ai/api-reference/utils/stream.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
